Skip to main content
PATCH
/
v1
/
tables
/
{tableId}
/
rows
/
{rowId}
Atualizar uma linha da tabela
curl --request PATCH \
  --url https://api.nuvia.ai/v1/tables/{tableId}/rows/{rowId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "data": {}
}'
{
  "_id": {},
  "table": {},
  "company": {},
  "data": {},
  "row_index": 123,
  "contact_id": {},
  "business_id": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Token JWT de autenticação

Headers

x-company-id
string

Identificador da empresa-alvo. Obrigatório apenas para API Keys globais (type=global). Ignorado para API Keys de empresa e usuários humanos.

Path Parameters

tableId
string
required

ID da tabela

rowId
string
required

ID da linha

Body

application/json
data
object
required

Dados da linha a serem atualizados

Response

200 - application/json
_id
object
required
table
object
required
company
object
required
data
object
required
row_index
number
contact_id
object
business_id
object
createdAt
string<date-time>
updatedAt
string<date-time>